/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VRestElement;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VRestElementRecord extends TableRecordImpl<VRestElementRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_rest_element.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.short_name</code>.
     */
    public void setShortName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.short_name</code>.
     */
    public String getShortName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.stage</code>.
     */
    public void setStage(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.stage</code>.
     */
    public Integer getStage() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.parent_unique_name</code>.
     */
    public void setParentUniqueName(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.parent_unique_name</code>.
     */
    public String getParentUniqueName() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.type</code>.
     */
    public void setType(JSONB value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.type</code>.
     */
    public JSONB getType() {
        return (JSONB) get(6);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.translation</code>.
     */
    public void setTranslation(JSONB value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.translation</code>.
     */
    public JSONB getTranslation() {
        return (JSONB) get(7);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.notes</code>.
     */
    public void setNotes(JSONB value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.notes</code>.
     */
    public JSONB getNotes() {
        return (JSONB) get(8);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.annotation</code>.
     */
    public void setAnnotation(JSONB value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.annotation</code>.
     */
    public JSONB getAnnotation() {
        return (JSONB) get(9);
    }

    /**
     * Setter for <code>common_dd.v_rest_element.logic</code>.
     */
    public void setLogic(JSONB value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_rest_element.logic</code>.
     */
    public JSONB getLogic() {
        return (JSONB) get(10);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VRestElementRecord
     */
    public VRestElementRecord() {
        super(VRestElement.V_REST_ELEMENT);
    }

    /**
     * Create a detached, initialised VRestElementRecord
     */
    public VRestElementRecord(String uniqueName, Integer isPublic, Integer orderNr, String shortName, Integer stage, String parentUniqueName, JSONB type, JSONB translation, JSONB notes, JSONB annotation, JSONB logic) {
        super(VRestElement.V_REST_ELEMENT);

        setUniqueName(uniqueName);
        setIsPublic(isPublic);
        setOrderNr(orderNr);
        setShortName(shortName);
        setStage(stage);
        setParentUniqueName(parentUniqueName);
        setType(type);
        setTranslation(translation);
        setNotes(notes);
        setAnnotation(annotation);
        setLogic(logic);
        resetChangedOnNotNull();
    }
}
